<section class="Auth d-flex align-items-center">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-4">
        <div class="card text-center">
          <div class="card-body">
            <h3 class="card-title mb-2">{{title}}</h3>
            <app-errors [errors]="errors"></app-errors>
            <form  [formGroup]="authForm" (ngSubmit)="auth()">
              <div class="mb-2">
                <input type="text" class="form-control" placeholder="Username" formControlName="username">
              </div>
              <div class="mb-2">
                <input type="email" class="form-control" placeholder="Email" formControlName="email" *ngIf="authType == 'signup'">
              </div>
              <div class="mb-2">
                <input type="password" class="form-control" placeholder="Password" formControlName="password">
              </div>
              <button class="btn btn-primary" type="submit">Submit</button>
            </form>
            <hr class="my-2"/>
            <p class="mb-0">
              or
              <a [routerLink]="['/login']" title="Log in" *ngIf="authType == 'signup'">log in</a>
              <a [routerLink]="['/signup']" title="Sign up" *ngIf="authType == 'login'">sign up</a>
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>